<?php
/**
 * Widget template
 *
 * @package Travel_Gem
 */

?>

<div class="section section-brands heading-<?php echo esc_attr( $instance['heading_alignment'] ); ?>">
		<?php if ( ! empty( $instance['title'] ) ) : ?>
			<?php echo $args['before_title'] . esc_html( $instance['title'] ) . $args['after_title']; ?>
		<?php endif; ?>

		<?php if ( ! empty( $instance['subtitle'] ) ) : ?>
			<p class="widget-subtitle"><?php echo esc_html( $instance['subtitle'] ); ?></p>
		<?php endif; ?>

		<?php if ( ! empty( $instance['brands'] ) ) : ?>

			<div class="brands-section">
				<div class="inner-wrapper">
					<?php foreach ( $instance['brands'] as $brand ) : ?>

						<?php
						$link_open = '';
						$link_close = '';
						if ( ! empty( $brand['brand_url'] ) ) {
							$link_open = '<a href="' . sow_esc_url( $brand['brand_url'] ) . '"';
							if ( true === $instance['settings']['new_window'] ) {
								$link_open .= ' target="_blank"';
							}
							$link_open .= '>';
							$link_close = '</a>';
						}

						$alt_text = isset( $brand['brand_title'] ) ? $brand['brand_title'] : '';

						$image = siteorigin_widgets_get_attachment_image_src(
							$brand['brand_logo'],
							'medium',
							! empty( $brand['brand_logo_fallback'] ) ? $brand['brand_logo_fallback'] : false
						);
						?>

						<?php if ( false !== $image ) : ?>
							<div class="brand-item">
								<?php
								if ( ! $alt_text ) {
									$info = pathinfo( $image[0] );
									if ( isset( $info['filename'] ) && ! empty( $info['filename'] ) ) {
										$alt_text = sanitize_file_name( $info['filename'] );
									}
								}
								?>
								<?php echo $link_open; ?><img src="<?php echo esc_url( $image[0] ); ?>" alt="<?php echo esc_attr( $alt_text ); ?>" /><?php echo $link_close; ?>
							</div><!-- .brand-item  -->
						<?php endif; ?>

					<?php endforeach; ?>
				</div><!-- .inner-wrapper -->
			</div><!-- .brands-section -->

		<?php endif; ?>

</div><!-- .section section-brands -->
