<?php
/**
 * Widget template
 *
 * @package Travel_Gem
 */

$qargs = array(
	'post_type'           => 'product',
	'post_status'         => 'publish',
	'ignore_sticky_posts' => 1,
	'posts_per_page'      => absint( $instance['post_number'] ),
	'no_found_rows'       => true,
);
if ( absint( $instance['post_category'] ) > 0 ) {
	$qargs['tax_query'] = array(
		array(
			'taxonomy' => 'product_cat',
			'field'    => 'term_id',
			'terms'    => absint( $instance['post_category'] ),
			),
		);
}

global $woocommerce_loop;
$products = new WP_Query( $qargs );
?>

<div class="section section-products-grid heading-<?php echo esc_attr( $instance['heading_alignment'] ); ?>">

	<?php if ( ! empty( $instance['title'] ) ) : ?>
		<?php echo $args['before_title'] . esc_html( $instance['title'] ) . $args['after_title']; ?>
	<?php endif; ?>

	<?php if ( ! empty( $instance['subtitle'] ) ) : ?>
		<p class="widget-subtitle"><?php echo esc_html( $instance['subtitle'] ); ?></p>
	<?php endif; ?>

	<?php if ( class_exists( 'WooCommerce' ) ) : ?>

		<?php
		if ( $products->have_posts() ) {
			?>
			<div class="products-grid-section">
				<div class="inner-wrapper">
					<div class="travel-gem-woocommerce products-grid-col-4">

						<ul class="products">

							<?php while ( $products->have_posts() ) : $products->the_post(); ?>

								<?php wc_get_template_part( 'content', 'product' ); ?>

							<?php endwhile; ?>

						</ul><!-- .products -->

					</div><!-- .travel-gem-woocommerce -->
				</div><!-- .inner-wrapper -->
			</div><!-- .products-grid-section -->
			<?php
		}
		woocommerce_reset_loop();
		wp_reset_postdata();
		?>

	<?php else : ?>

		<?php if ( current_user_can( 'activate_plugins' ) ) : ?>

			<p><?php esc_html_e( 'WooCommerce plugin is not active. Please install and activate the plugin first.', 'travel-gem-pro' ); ?></p>

		<?php endif; ?>

	<?php endif; ?>

</div><!-- .section-products-grid -->
