<?php
/**
 * Widget template
 *
 * @package Travel_Gem
 */

?>

<div class="section section-teams heading-<?php echo esc_attr( $instance['heading_alignment'] ); ?>">
		<?php if ( ! empty( $instance['title'] ) ) : ?>
			<?php echo $args['before_title'] . esc_html( $instance['title'] ) . $args['after_title']; ?>
		<?php endif; ?>

		<?php if ( ! empty( $instance['subtitle'] ) ) : ?>
			<p class="widget-subtitle"><?php echo esc_html( $instance['subtitle'] ); ?></p>
		<?php endif; ?>

		<?php if ( ! empty( $instance['members'] ) ) : ?>

			<div class="teams-section teams-col-<?php echo absint( $instance['settings']['post_column'] ) ?>">
				<div class="inner-wrapper">
					<?php foreach ( $instance['members'] as $member ) : ?>

						<?php
						$link_open = '';
						$link_close = '';
						if ( ! empty( $member['member_url'] ) ) {
							$link_open = '<a href="' . sow_esc_url( $member['member_url'] ) . '"';
							if ( true === $instance['settings']['new_window'] ) {
								$link_open .= ' target="_blank"';
							}
							$link_open .= '>';
							$link_close = '</a>';
						}
						?>

						<div class="team-item">
							<div class="thumb-summary-wrap">
								<?php
								$image = siteorigin_widgets_get_attachment_image_src(
									$member['member_picture'],
									'full',
									! empty( $member['member_picture_fallback'] ) ? $member['member_picture_fallback'] : false
								);
								?>
								<?php if ( false !== $image ) : ?>
									<div class="team-thumb">
										<?php echo $link_open; ?><img src="<?php echo esc_url( $image[0] ); ?>" alt="" /><?php echo $link_close; ?>
									</div><!-- .team-thumb-->
								<?php endif; ?>

								<div class="team-text-wrap">
									<?php if ( ! empty( $member['member_name'] ) ) : ?>
										<h3 class="team-title"><?php echo $link_open . esc_html( $member['member_name'] ) . $link_close; ?></h3>
									<?php endif; ?>
									<?php if ( ! empty( $member['member_position'] ) ) : ?>
										<p class="team-position"><?php echo esc_html( $member['member_position'] ); ?></p>
									<?php endif; ?>
								</div><!-- .team-text-wrap -->

								<?php if ( ! empty( $member['social_links'] ) ) : ?>

									<div class="social-links circle">
										<ul>
											<?php foreach ( $member['social_links'] as $link ) : ?>
												<?php
												if ( empty( $link['social_url'] ) ) {
													continue;
												}

												$social_link_open = '<a href="' . esc_url( $link['social_url'] ) . '"';
												if ( true === $instance['settings']['new_window'] ) {
													$social_link_open .= ' target="_blank"';
												}
												$social_link_open .= '>';
												$social_link_close = '</a>';
												?>
												<li><?php echo $social_link_open . siteorigin_widget_get_icon( $link['social_icon'] ) . $social_link_close; ?></li>
											<?php endforeach; ?>
										</ul>
									</div><!-- .social-links -->

								<?php endif; ?>

							</div><!-- .thumb-summary-wrap -->
						</div><!-- .team-item  -->

					<?php endforeach; ?>
				</div><!-- .inner-wrapper -->
			</div><!-- .teams-section -->

		<?php endif; ?>

</div><!-- .section section-teams -->
